System.ServiceModel 4.0.0.0 System.Enum

This enumeration can be set within a configuration file in the security element for msmqIntegrationBinding section. It can also be set in code by passing the appropriate value into the constructor of the class.

is an enumeration that specifies the security modes supported by the MSMQ integration channel.

- Field
  4.0.0.0
  System.ServiceModel.MsmqIntegration.MsmqIntegrationSecurityMode

  No security.

- Field
  4.0.0.0
  System.ServiceModel.MsmqIntegration.MsmqIntegrationSecurityMode

  Use the MSMQ transport security.